Loading...
Searching...
No Matches
casacore::LELLattCoord Class Reference
lattices package (libcasa_lattices) » LEL_module » LEL_module_internal_classes

More...

`#include <LELLattCoord.h>`

## Public Member Functions

| LELLattCoord ()
virtual | ~LELLattCoord ()
| A virtual destructor is needed so that it will use the actual destructor in the derived class.
virtual Bool | hasCoordinates () const
| The class does not have true coordinates.
virtual LatticeExprNode | makeSubLattice (const LatticeExprNode &expr, const LattRegionHolder &region) const
| Create a SubLattice for an expression node.
virtual LatticeExprNode | makeExtendLattice (const LatticeExprNode &expr, const IPosition &newShape, const LELLattCoordBase &newCoord) const
| Create an extension for an expression node.
virtual LatticeExprNode | makeRebinLattice (const LatticeExprNode &expr, const IPosition &binning) const
| Create a rebinning for an expression node.
virtual uInt | getSpectralInfo (Vector< Double > &worldCoordinates, const IPosition &shape) const
| Get the coordinates of the spectral axis for the given shape.
virtual String | classname () const
| The name of the class.
virtual Int | compare (const LELLattCoordBase &other) const
| Check how the coordinates of this and that compare.
virtual Int | doCompare (const LELImageCoord &other) const
| Check how the coordinates of this and that image compare.
Public Member Functions inherited from casacore::LELLattCoordBase
| LELLattCoordBase ()
virtual | ~LELLattCoordBase ()
| A virtual destructor is needed so that it will use the actual destructor in the derived class.

## Detailed Description

The base letter class for lattice coordinates in LEL.

### Intended use:

Internal

### Review Status

Date Reviewed:
  yyyy/mm/dd

### Prerequisite

- Lattice
- LELLattCoordBase

### Synopsis

This class is a letter class for the envelope class LELCoordinates. It acts as the coordinates class for Lattice objects without coordinates (like PagedArray).

It does not do anything, but makes it possible that other classes (like LELImageCoord) implement their own behaviour.

### Motivation

It must be possible to handle image coordinates in a lattice expression.

Definition at line 78 of file LELLattCoord.h.

## Constructor & Destructor Documentation

## LELLattCoord()

casacore::LELLattCoord::LELLattCoord | ( |  | ) |

## ~LELLattCoord()

virtual casacore::LELLattCoord::~LELLattCoord | ( |  | ) |

virtual

A virtual destructor is needed so that it will use the actual destructor in the derived class.

## Member Function Documentation

## classname()

virtual String casacore::LELLattCoord::classname | ( |  | ) | const

virtual

The name of the class.

Implements casacore::LELLattCoordBase.

Reimplemented in casacore::LELImageCoord.

## compare()

virtual Int casacore::LELLattCoord::compare | ( | const LELLattCoordBase & | other | ) | const

virtual

Check how the coordinates of this and that compare.

Implements casacore::LELLattCoordBase.

Reimplemented in casacore::LELImageCoord.

References casacore::LELLattCoordBase::LELLattCoordBase().

## doCompare()

virtual Int casacore::LELLattCoord::doCompare | ( | const LELImageCoord & | other | ) | const

virtual

Check how the coordinates of this and that image compare.

This function is used by conform to make a double virtual dispatch possible.

Implements casacore::LELLattCoordBase.

Reimplemented in casacore::LELImageCoord.

## getSpectralInfo()

virtual uInt casacore::LELLattCoord::getSpectralInfo | ( | Vector< Double > & | worldCoordinates,
|  | const IPosition & | shape ) const

virtual

Get the coordinates of the spectral axis for the given shape.

This function throws an exception as a Lattice has no coordinates.

Implements casacore::LELLattCoordBase.

Reimplemented in casacore::LELImageCoord.

References casacore::shape().

## hasCoordinates()

virtual Bool casacore::LELLattCoord::hasCoordinates | ( |  | ) | const

virtual

The class does not have true coordinates.

Implements casacore::LELLattCoordBase.

Reimplemented in casacore::LELImageCoord.

## makeExtendLattice()

virtual LatticeExprNode casacore::LELLattCoord::makeExtendLattice | ( | const LatticeExprNode & | expr,
|  | const IPosition & | newShape,
|  | const LELLattCoordBase & | newCoord ) const

virtual

Create an extension for an expression node.

Reimplemented in casacore::LELImageCoord.

References casacore::LELLattCoordBase::LELLattCoordBase().

## makeRebinLattice()

virtual LatticeExprNode casacore::LELLattCoord::makeRebinLattice | ( | const LatticeExprNode & | expr,
|  | const IPosition & | binning ) const

virtual

Create a rebinning for an expression node.

Reimplemented in casacore::LELImageCoord.

## makeSubLattice()

virtual LatticeExprNode casacore::LELLattCoord::makeSubLattice | ( | const LatticeExprNode & | expr,
|  | const LattRegionHolder & | region ) const

virtual

Create a SubLattice for an expression node.

Reimplemented in casacore::LELImageCoord.

The documentation for this class was generated from the following file:

- lattices/LEL/LELLattCoord.h